Bug 1264683 - Review Request: zxing - Java multi-format 1D/2D bar-code image processing library
Review Request: zxing - Java multi-format 1D/2D bar-code image processing lib...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-20 13:26 EDT by Jonny Heggheim
Modified: 2016-01-10 07:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-10 07:09:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jonny Heggheim 2015-09-20 13:26:48 EDT
Spec URL: https://raw.githubusercontent.com/hegjon/zxing-rpm2/master/zxing.spec
SRPM URL: https://raw.githubusercontent.com/hegjon/zxing-rpm2/master/zxing-3.2.1-1.fc22.src.rpm
Description: ZXing ("zebra crossing") is an open-source,
multi-format 1D/2D bar-code image processing library
implemented in Java, with ports to other languages.

Fedora Account System Username: jonny

Koji build link: http://koji.fedoraproject.org/koji/taskinfo?taskID=11157024
Comment 1 gil cattaneo 2015-09-21 04:29:33 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache (v2.0)". Detailed
     output of licensecheck in /home/gil/1264683-zxing/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[?]: Package contains no bundled libraries without FPC exception.
    These file has been modified from its original form in Barcode4J
    zxing-zxing-3.2.1/core/src/main/java/com/google/zxing/pdf417/encoder/PDF417.java
    zxing-zxing-3.2.1/core/src/main/java/com/google/zxing/pdf417/encoder/PDF417ErrorCorrection.java
    zxing-zxing-3.2.1/core/src/main/java/com/google/zxing/pdf417/encoder/PDF417HighLevelEncoder.java
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zxing-
     javase , zxing-parent , zxing-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zxing-3.2.1-1.fc24.noarch.rpm
          zxing-javase-3.2.1-1.fc24.noarch.rpm
          zxing-parent-3.2.1-1.fc24.noarch.rpm
          zxing-javadoc-3.2.1-1.fc24.noarch.rpm
          zxing-3.2.1-1.fc24.src.rpm
zxing.noarch: W: spelling-error Summary(en_US) multi -> mulch, mufti
zxing.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
zxing-javase.noarch: W: no-documentation
zxing-parent.noarch: W: no-documentation
zxing.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
zxing.src: W: spelling-error %description -l en_US multi -> mulch, mufti
zxing.src: W: strange-permission zxing-repack.sh 775
zxing.src: W: invalid-url Source0: zxing-3.2.1.tar.xz
5 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
zxing-javase.noarch: W: no-documentation
zxing-parent.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
zxing-javase (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.beust:jcommander)
    mvn(com.google.zxing:core)

zxing-parent (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

zxing-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

zxing (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils



Provides
--------
zxing-javase:
    mvn(com.google.zxing:javase)
    mvn(com.google.zxing:javase:pom:)
    zxing-javase

zxing-parent:
    mvn(com.google.zxing:zxing-parent:pom:)
    zxing-parent

zxing-javadoc:
    zxing-javadoc

zxing:
    mvn(com.google.zxing:core)
    mvn(com.google.zxing:core:pom:)
    zxing



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1264683 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 gil cattaneo 2015-09-21 04:33:09 EDT
ISSUES:
[?]: Package contains no bundled libraries without FPC exception.
    These file has been modified from its original form in Barcode4J
    zxing-zxing-3.2.1/core/src/main/java/com/google/zxing/pdf417/encoder/PDF417.java
    zxing-zxing-3.2.1/core/src/main/java/com/google/zxing/pdf417/encoder/PDF417ErrorCorrection.java
    zxing-zxing-3.2.1/core/src/main/java/com/google/zxing/pdf417/encoder/PDF417HighLevelEncoder.java

Please, open a FPC exception or use original http://barcode4j.sourceforge.net/ code.
Comment 3 Jonny Heggheim 2015-10-01 14:28:52 EDT
> Please, open a FPC exception or use original http://barcode4j.sourceforge.net/ code.

I asked for a FPC exception, barcode4j seems dead and the original code have been modified. https://fedorahosted.org/fpc/ticket/574
Comment 4 gil cattaneo 2015-10-01 15:05:05 EDT
(In reply to Jonny Heggheim from comment #3)
> > Please, open a FPC exception or use original http://barcode4j.sourceforge.net/ code.
> 
> I asked for a FPC exception, barcode4j seems dead and the original code have
> been modified. https://fedorahosted.org/fpc/ticket/574

ok, we should wait for the FPC ticket. Once the bundling exception has been approved, I will approve the review request.
Comment 5 gil cattaneo 2015-10-07 16:10:51 EDT
Please, add a comment in spec file about FPC ticket resolution
Comment 6 Jonny Heggheim 2015-10-08 14:24:06 EDT
> Please, add a comment in spec file about FPC ticket resolution
Updated the spec file and the src.rpm file with this change

Spec URL: https://raw.githubusercontent.com/hegjon/zxing-rpm2/master/zxing.spec
SRPM URL: https://raw.githubusercontent.com/hegjon/zxing-rpm2/master/zxing-3.2.1-2.fc23.src.rpm
Comment 7 gil cattaneo 2015-10-08 14:30:41 EDT
APPROVED
see https://fedoraproject.org/wiki/PackageDB_admin_requests#New_packages
for newer procedure about fedora‑cvs
Comment 8 Jonny Heggheim 2015-10-08 14:38:37 EDT
Just noticed that the build fails on Fedora 23. Will investigate.
Comment 9 Jonny Heggheim 2015-10-08 14:45:44 EDT
Probably just my mock environment that is broken:

snippets:

  Installing : maven-local-4.3.2-6.fc22.noarch                                                                                                                    285/285 
warning: %posttrans(java-1.8.0-openjdk-1:1.8.0.60-14.b27.fc22.x86_64) scriptlet failed, exit status 126
Non-fatal POSTTRANS scriptlet failure in rpm package 1:java-1.8.0-openjdk-1.8.0.60-14.b27.fc22.x86_64
warning: %posttrans(java-1.8.0-openjdk-devel-1:1.8.0.60-14.b27.fc22.x86_64) scriptlet failed, exit status 126
Non-fatal POSTTRANS scriptlet failure in rpm package 1:java-1.8.0-openjdk-devel-1.8.0.60-14.b27.fc22.x86_64

....

+ /usr/bin/python3 /usr/share/java-utils/mvn_build.py -s
Executing: xmvn --batch-mode --offline verify org.fedoraproject.xmvn:xmvn-mojo:install org.apache.maven.plugins:maven-javadoc-plugin:aggregate org.fedoraproject.xmvn:xmvn-mojo:builddep
['xmvn', '--batch-mode', '--offline', 'verify', 'org.fedoraproject.xmvn:xmvn-mojo:install', 'org.apache.maven.plugins:maven-javadoc-plugin:aggregate', 'org.fedoraproject.xmvn:xmvn-mojo:builddep']
Can't find Java virtual machine, aborting.
error: Bad exit status from /var/tmp/rpm-tmp.0cslbH (%build)
    Bad exit status from /var/tmp/rpm-tmp.0cslbH (%build)
Comment 10 gil cattaneo 2015-10-08 14:55:05 EDT
(In reply to Jonny Heggheim from comment #9)
> Probably just my mock environment that is broken:
> 
> snippets:
> 
>   Installing : maven-local-4.3.2-6.fc22.noarch                              
> 285/285 
> warning: %posttrans(java-1.8.0-openjdk-1:1.8.0.60-14.b27.fc22.x86_64)
> scriptlet failed, exit status 126
> Non-fatal POSTTRANS scriptlet failure in rpm package
> 1:java-1.8.0-openjdk-1.8.0.60-14.b27.fc22.x86_64
> warning: %posttrans(java-1.8.0-openjdk-devel-1:1.8.0.60-14.b27.fc22.x86_64)
> scriptlet failed, exit status 126
> Non-fatal POSTTRANS scriptlet failure in rpm package
> 1:java-1.8.0-openjdk-devel-1.8.0.60-14.b27.fc22.x86_64
> 
> ....
> 
> + /usr/bin/python3 /usr/share/java-utils/mvn_build.py -s
> Executing: xmvn --batch-mode --offline verify
> org.fedoraproject.xmvn:xmvn-mojo:install
> org.apache.maven.plugins:maven-javadoc-plugin:aggregate
> org.fedoraproject.xmvn:xmvn-mojo:builddep
> ['xmvn', '--batch-mode', '--offline', 'verify',
> 'org.fedoraproject.xmvn:xmvn-mojo:install',
> 'org.apache.maven.plugins:maven-javadoc-plugin:aggregate',
> 'org.fedoraproject.xmvn:xmvn-mojo:builddep']
> Can't find Java virtual machine, aborting.
> error: Bad exit status from /var/tmp/rpm-tmp.0cslbH (%build)
>     Bad exit status from /var/tmp/rpm-tmp.0cslbH (%build)

please use
koji build --scratch rawhide zxing-3.2.1-2.fc23.src.rpm
or 
koji build --scratch --arch-override x86_64 rawhide zxing-3.2.1-2.fc23.src.rpm
Comment 11 Upstream Release Monitoring 2015-10-08 15:01:00 EDT
gil's scratch build of zxing-3.2.1-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11376745
Comment 12 Jonny Heggheim 2015-10-08 15:06:00 EDT
> koji build --scratch rawhide zxing-3.2.1-2.fc23.src.rpm
I tried but I got:
Error: [('SSL routines', 'ssl3_read_bytes', 'sslv3 alert certificate revoked'), ('SSL routines', 'ssl3_read_bytes', 'ssl handshake failure')]

> gil's scratch build of zxing-3.2.1-2.fc23.src.rpm for rawhide completed
> http://koji.fedoraproject.org/koji/taskinfo?taskID=11376745
Thanks
Comment 13 gil cattaneo 2015-10-08 15:12:56 EDT
(In reply to Jonny Heggheim from comment #12)
> > koji build --scratch rawhide zxing-3.2.1-2.fc23.src.rpm
> I tried but I got:
> Error: [('SSL routines', 'ssl3_read_bytes', 'sslv3 alert certificate
> revoked'), ('SSL routines', 'ssl3_read_bytes', 'ssl handshake failure')]

you should generate a new certificate
fedora-packager-setup
fedora-packager-setup --with-browser-cert
or just run
fedora-cert -n
Comment 14 gil cattaneo 2015-10-08 15:14:16 EDT
(In reply to gil cattaneo from comment #13)
> (In reply to Jonny Heggheim from comment #12)

> you should generate a new certificate
> fedora-packager-setup
  OR
> fedora-packager-setup --with-browser-cert
> or just run
> fedora-cert -n
Comment 15 Jonny Heggheim 2015-10-08 15:27:23 EDT
Thanks, worked with fedora-cert -n
Comment 16 Upstream Release Monitoring 2015-10-08 15:55:51 EDT
jonny's scratch build of zxing-3.2.1-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11377016
Comment 17 Jonny Heggheim 2015-10-08 15:57:28 EDT
Added request for new package https://admin.fedoraproject.org/pkgdb/packager/jonny/requests
Comment 18 Upstream Release Monitoring 2015-12-14 05:41:16 EST
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621
Comment 20 Jonny Heggheim 2016-01-10 07:09:39 EST
> this bug should be closed?

Thanks for the tidying. Closing it now

Note You need to log in before you can comment on or make changes to this bug.